package com.happy.dao;

import com.happy.Model.HotelDict;

import java.util.List;

public interface HotelDictDao {

    /**
     * 描述：新增
     * @param hotelDict
     * @return
     */
    int insertHotelDict(HotelDict hotelDict);

    /**
     * 描述：修改
     * @param hotelDict
     * @return
     */
    int updateHotelDict(HotelDict hotelDict);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delHotelDict(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    HotelDict getById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    List<HotelDict> queryPage(String sqlx, int page, int rows);


    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<HotelDict> queryList(String sqlx);

    /**
     * 描述：根据集合查询有效ids
     * @param ids
     * @return
     */
    String setConfig(String ids);


    /**
     * 批量修改
     */
    int saveBacth(List<HotelDict> dicts);
}

